import java.awt.*; 
import javax.swing.*;
import java.awt.event.*;
public class JMenu_test extends JFrame implements ActionListener {
JMenuBar jMenuBar1 = new JMenuBar();
 JMenu jMenu1 = new JMenu("文件");
 JMenuItem jMenuItem1 = new JMenuItem("打开");
 JMenuItem jMenuItem2 = new JMenuItem("保存");
 JMenu jMenu2 = new JMenu("编辑");
 JMenuItem jMenuItem3 = new JMenuItem("复制");
 JMenu jMenu3 = new JMenu("帮助");
 JMenuItem jMenuItem5 = new JMenuItem("关于");
 JMenuItem jMenuItem6 = new JMenuItem("退出");
 JTextField jTextField1 = new JTextField();
 JLabel jLabel1 = new JLabel();
 JMenu jMenu4 = new JMenu("粘贴");
 JMenuItem jMenuItem4 = new JMenuItem("粘贴1");
 JMenuItem jMenuItem8 = new JMenuItem("粘贴2");
public JMenu_test() {
     setLayout(null); setJMenuBar(jMenuBar1);
jMenuItem1.addActionListener(this);         
jMenuItem2.addActionListener(this);
jMenuItem3.addActionListener(this);
jMenuItem6.addActionListener(this);
jTextField1.setBounds(93, 77, 104, 31);
jLabel1.setText("选择的菜单项");
jLabel1.setBounds(15, 73, 90, 30);
jMenuBar1.add(jMenu1);
jMenuBar1.add(jMenu2);
jMenuBar1.add(jMenu3);
jMenu1.add(jMenuItem1);
jMenu1.add(jMenuItem2);
jMenu1.add(jMenuItem6);
jMenu2.add(jMenuItem3);
jMenu2.add(jMenu4);
jMenu3.add(jMenuItem5);
add(jLabel1);
add(jTextField1);
jMenu4.add(jMenuItem4);
jMenu4.add(jMenuItem8);
}
 public void actionPerformed(ActionEvent e) {
       if(e.getSource()==jMenuItem6)
        dispose();
        else if(e.getSource()==jMenuItem1)
            jTextField1.setText(jMenuItem1.getText());
        else if(e.getSource()==jMenuItem2)
            jTextField1.setText(jMenuItem2.getText());
        else if(e.getSource()==jMenuItem3)
            jTextField1.setText(jMenuItem3.getText());
    }
 public static void main(String args[]) {
       JMenu_test ta = new JMenu_test();
       ta.setBounds(200, 300, 250, 200);
       ta.validate();
       ta.setVisible(true);
   }
}
